API Referenceapipatient-graphGET /v1/admin/dose-reminders/candidates

GET /v1/admin/dose-reminders/candidates

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • patient_id (string) —
  • compound_id (string) —

Responses

200 Active dose reminder candidates with adopted local times

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "patient_id": {
            "type": "string",
            "format": "uuid"
          },
          "brand_id": {
            "type": "string"
          },
          "user_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "compound_id": {
            "type": "string",
            "format": "uuid"
          },
          "display_name": {
            "type": "string"
          },
          "days_of_week": {
            "type": "array",
            "items": {
              "type": "integer",
              "minimum": 0,
              "maximum": 6
            }
          },
          "time_local": {
            "type": [
              "string",
              "null"
            ]
          },
          "paused_until": {
            "type": [
              "string",
              "null"
            ]
          },
          "phone": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "patient_id",
          "brand_id",
          "user_id",
          "compound_id",
          "display_name",
          "days_of_week",
          "time_local",
          "paused_until",
          "phone"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/admin/dose-reminders/candidates \
  -H "Authorization: Bearer $ACCESS_TOKEN"